<sqtm-core-customisable-dialog
  [titleKey]="getWorkflowTitle()"
  class="m-b-10"
  [dialogId]="dialogId"
>
  <sqtm-core-dialog-body>
    @if ($statusKey() == 'error') {
      <div
        class="flex-row align-items-center m-b-10"
        [attr.data-test-element-id]="'workflow-viewer-unreachable-orchestrator'"
      >
        <i
          nz-icon
          class="sqtm-core-icon"
          nzType="exclamation-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#FF0000'"
        ></i>
        <b
          class="error-message m-l-10"
          [innerHTML]="
            'sqtm-core.campaign-workspace.automated-suite.workflow-viewer.unreachable-orchestrator'
              | translate
          "
        >
        </b>
      </div>
    }
    <pre class="logs-container m-10 full-height">
        <code [attr.data-test-element-id]="'workflow-logs-console'">
        {{ $logs() }}
        </code>
      </pre>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      style="margin-top: 5px"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
